[IPython-dev] [Ipython-svndiff] 2688 - use subprocess for ipy_workdir'

Fernando Perez fperez.net@gmail....
Wed Aug 29 20:15:32 CDT 2007


I just noticed this commit while checking recent SVN activity:

On 8/29/07, ipython-svndiff@scipy.org <ipython-svndiff@scipy.org> wrote:

> +import os, subprocess

This is a problem: subprocess is a 2.4-only module, and we're trying
to remain available to 2.3 users.

If this functionality is made optional with a nice error message, I'm
OK with it.

We can also decide to ditch 2.3 compatibility (at some point we
obviously will), but just as Robert said when the same discussion took
place for scipy, we shouldn't do it just for a minor convenience.

My position is largely Robert's:

http://projects.scipy.org/pipermail/scipy-dev/2007-August/007710.html

And the fact that numpy/scipy seem to have agreed to stick with 2.3
compatibility is one more argument for us to do the same.  The
scientific community is a large ipython user, and I don't want to make
ipython require 2.4 when numpy/scipy don't.


Once the 2.4 (or 2.5) features we need become truly compelling we'll
switch over, but if we can remain available to a larger user base (at
the cost of a small inconvenience to ourselves) we'll do so.

Cheers,

f


More information about the IPython-dev mailing list